use std::io::Write;

pub fn encrypt(msg: String) -> String {
    let pgp = gnupg::GnuPG::new().unwrap();
    let pub_key = pgp
        .import_key(&std::fs::read_to_string("./config/pub.key").unwrap())
        .unwrap();
    pgp.encrypt(&pub_key, &msg).unwrap()
}

pub fn save_msg(msg: String, name: &str) {
    std::fs::create_dir_all("./data/messages").expect("couldn't create msg dir");
    let time = chrono::offset::Utc::now();
    let time = time.format("%Y-%m-%d.%H-%M").to_string();
    let mut f = std::fs::File::create(format!("./data/messages/{name}-{time}.asc")).unwrap();
    f.write_all(encrypt(msg).as_bytes()).unwrap();
}
